<?php

if (!isset($_GET["file_id"])) {
	header("Location: $URL_BASE");
	exit();
}

if (!isset($_SESSION["user_id"]))
	require_once "server_files/403.php";

$id = htmlspecialchars($_GET["file_id"]);

$type = DocumentType::SOLUTION;
$file = Solution::fromId($id);
if ($file === null) {
	$type = DocumentType::SYNTHESIS;
	$file = Synthesis::fromId($id);

	if ($file === null) {
		$file = Document::fromId($id);
		$type = DocumentType::PARENTAL_CONSENT;
	}
}

if ($file !== null) {
	$team = Team::fromId($file->getTeamId());
	$tournament = Tournament::fromId($file->getTournamentId());
	$trigram = $team->getTrigram();

	if ($_SESSION["role"] == Role::ORGANIZER && !$tournament->organize($_SESSION["user_id"]))
		require_once "server_files/403.php";

	if ($type == DocumentType::SOLUTION) {
		$problem = $file->getProblem();
		$name = "Problème $problem $trigram.pdf";

		if (($_SESSION["role"] == Role::PARTICIPANT || $_SESSION["role"] == Role::ENCADRANT) && (!isset($_SESSION["team"]) || $_SESSION["team"]->getId() != $team->getId()))
			require_once "server_files/403.php";
	}
	else if ($type == DocumentType::SYNTHESIS) {
		$dest = $file->getDest();
		$name = "Note de synthèse $trigram pour " . ($dest == DestType::OPPOSANT ? "l'opposant" : "le rapporteur") . ".pdf";

		if (($_SESSION["role"] == Role::PARTICIPANT || $_SESSION["role"] == Role::ENCADRANT) && (!isset($_SESSION["team"]) || $_SESSION["team"]->getId() != $team->getId()))
			require_once "server_files/403.php";
	}
	else {
		$user = User::fromId($file->getUserId());
		$type = $file->getType();

		if (($_SESSION["role"] == Role::PARTICIPANT || $_SESSION["role"] == Role::ENCADRANT) && $user->getId() != $_SESSION["user_id"])
			require_once "server_files/403.php";

		$surname = $user->getSurname();
		$first_name = $user->getFirstName();
		switch ($type) {
			case DocumentType::PARENTAL_CONSENT:
				$name = "Autorisation parentale";
				break;
			case DocumentType::PHOTO_CONSENT:
				$name = "Autorisation de droit à l'image";
				break;
			case DocumentType::SANITARY_PLUG:
				$name = "Fiche sanitaire";
				break;
            case DocumentType::SCHOLARSHIP:
                $name = "Notification de bourse";
                break;
		}
		$name .= " de $first_name $surname.pdf";
	}
}
else
	require_once "server_files/404.php";

header("Content-Type: application/pdf");
header("Content-Disposition: inline; filename=\"$name\"");

readfile("$LOCAL_PATH/files/$id");

exit();